0 Replies Latest reply on Jun 3, 2012 4:48 AM by vincent.racaza

    Error in converting flex 3 to 4.5

    vincent.racaza

      Hi!

       

      I tried to convert a Flex 3 project to Flex 4.5 project. Of course, there are compatibility issues. One is about Textflow. I have this one:

       

      TextFilter.importToFlow(textContent, TextFilter.PLAIN_TEXT_FORMAT);

       

      But the error goes like this:

       

      VerifyError: Error #1053: flashx.textLayout.conversion.FXGImporter

       

      I have also change some part of the code...

       

      this is the new one:


      this._displayContainer = new TextDisplayObjectContainerController(

                              this._textContainor, this.canvasW, this.canvasH);





      this._textFlow.flowComposer.addController(ContainerController(this._displayContainer));





       

      the old one is this:


      this._displayContainer = new TextDisplayObjectContainerController(

                              this._textContainor, this.canvasW, this.canvasH);





      this._textFlow.flowComposer.addController(this._displayContainer);




      TextDisplayObjectContainerController extends DisplayObjectContainerController. Flowcomposer.addController only accepts ContainerController, so I have cast it.

       

      Do you know that error above? thanks in advance...